<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOpTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
 
        Schema::create('op', function (Blueprint $table) {
            $table->id();
            $table->string('client')->nullable();
            $table->string('oc')->nullable();
            $table->string('cdolarpeso')->nullable();
            $table->string('datein')->nullable();
            $table->string('dateout')->nullable();
            $table->string('detail')->nullable();
            $table->string('piece')->nullable();
            $table->string('quantity')->nullable();
            $table->string('material')->nullable();
            $table->string('tratamiento')->nullable();
            $table->string('number')->nullable();
            $table->string('obs')->nullable();
            $table->string('provider')->nullable();
            $table->string('status')->nullable();
            $table->string('time')->nullable();
            $table->string('currency')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('op');
    }
}
